//**********************************//
//						//
//	UJE_inca_sniper.shader	      //
//	by Phrankhi - 06.11.2010	//
//						//
//**********************************//

levelshots/UJE_inca_sniper_cc_automap
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_inca_sniper_cc.tga
        depthFunc equal
        rgbGen identity
    }
}

levelshots/UJE_inca_sniper_cc_trans
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_inca_sniper_cc.tga
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
}

textures/UJE_inca_sniper/skybox/skybox
{
	qer_editorimage textures/UJE_inca_sniper/skybox/siege
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 0.965 110 199 49
	q3map_surfacelight 70
	skyparms textures/UJE_inca_sniper/skybox/siege - -
	{
		map textures/UJE_inca_sniper/skybox/clouds.jpg
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}

//****************************************************//
//       ^^^^ Hierboven is het Origineel ! ^^^^       //
//****************************************************//

textures/UJE_inca_sniper/uje_lava
{
	qer_editorimage textures/UJE_inca_sniper/lava.tga
	q3map_globaltexture
	surfaceparm trans
	qer_trans .1
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
	cull disable
	nopicmip
	
	tesssize 128
	cull disable
	
        {
		map textures/UJE_inca_sniper/lava.tga
		blendfunc blend
		tcMod turb 0 .2 0 .05
		tcmod scale .4 .4
		blendfunc blend
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/UJE_inca_sniper/lava.tga
		blendfunc blend
		tcMod turb 0 .1 0 .09
		tcmod scale .2 .1
		blendfunc blend
		blendFunc GL_ZERO GL_ONE
	}

}
textures/UJE_inca_sniper/lavastroom
{
	qer_editorimage textures/UJE_inca_sniper/lava.tga
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 30
	surfaceparm nolightmap
	cull disable
	// deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/UJE_inca_sniper/lava.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -0.05
		alphaGen Vertex
	}
}
textures/UJE_inca_sniper/lavastroom-2
{
	qer_editorimage textures/UJE_inca_sniper/lava.tga
	surfaceparm solid  //nonsolid
	// surfaceparm trans
	q3map_surfacelight 30
	surfaceparm nolightmap
	cull disable
	// deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/UJE_inca_sniper/lava.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -0.05
		alphaGen Vertex
	}
}
textures/UJE_inca_sniper/uje_splash_3
{
	qer_editorimage textures/UJE_inca_sniper/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -23.5294 0 24.9054 sawtooth 0 1 0 0.922809 
	{
		clampmap textures/UJE_inca_sniper/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.922809 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.922809 
		alphaGen wave sawtooth 0.6 -0.6 0 0.922809 
	}
}
textures/UJE_inca_sniper/regenboog	// Name of the texture (in Radiant)
{ 
	q3map_nolightmap 			// No shadows on the texture
	surfaceparm nolightmap		// No shadows on the texture
	surfaceparm nonsolid		// Makes it non-solid
	surfaceparm nonopaque		// Transparency
	surfaceparm nomarks		// No weapon marks
	surfaceparm trans			// Transparency
	cull twosided			// Patch is visible from both sides

	{	
		map textures/UJE_inca_sniper/regenboog.jpg 	// Path of the texture
		blendFunc GL_ONE GL_SRC_ALPHA			// Transparency
		rgbGen const ( 0.5 0.5 0.5 )			// Less saturated colors 
		alphaFunc GE128					// Filters out black
		alphaGen const 1.0				// Alpha channel property
	 }
}
// Ktrtrop shader
// Kic

models/mapobjects/ktrtrop/bbark
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}

models/mapobjects/ktrtrop/mmbark
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}

models/mapobjects/ktrtrop/leaf26
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/mmbranch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/bbranch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/tbbr
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/palmleafs
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/flforestbush
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/tropbusha
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/bushd
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/bushdes
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/plmbrnch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/palmbranch1
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}


models/mapobjects/ktrtrop/palm05
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/Lgp_forestpalm_details
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/leafedplant
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/canopy
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/canopybig
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/BananaPlantTexture
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/ktrtrop/BananaPlantTexture.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	implicitMask -
}

models/mapobjects/ktrtrop/Bush4
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/mangotree
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/tbbr
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/lgp_plantsset_b
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/ktrtrop/lgp_plantsset_b.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	implicitMask -
}

models/mapobjects/ktrtrop/leaf02b
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/lgp_bigleafes
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/flforestpl
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}

models/mapobjects/ktrtrop/Lgp_forestpalm_details1
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models/mapobjects/ktrtrop/Tbbv
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}